#ifndef SETTINGSDIALOGGENERAL_H
#define SETTINGSDIALOGGENERAL_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"

// Bote de dialogue CSettingGeneral

class CSettingsDialogGeneral : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogGeneral)

public:
	CSettingsDialogGeneral();
	virtual ~CSettingsDialogGeneral();

	int m_tpc;

	void RegFileTypes();
	void CreateContMenus();
	bool ReadFileTypes(CString ext);
	void ReadContMenus();
	bool defaultAdd;

	// Donnes de bote de dialogue
	enum
	{
		IDD = IDD_SETTINGS_GENERAL
	};

	CCheckListBox m_l_options;
	CCheckListBox m_l_options2;

	CButtonXP m_BtnHotkeys;
	CButtonXP m_btnSkin;
	CButtonXP m_btnW2F;
	CComboBox m_cbxLanguage;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	afx_msg void OnW2f();
	virtual BOOL OnInitDialog();
	afx_msg void OnHotkeys();
	afx_msg void OnPopupLoad();
	afx_msg void OnPopupUseDefault();
	afx_msg void OnSkin();
	int OnCreate(LPCREATESTRUCT lpCreateStruct);

	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif